<?xml version="1.0" encoding="utf-8" ?> 
<xs:schema targetNamespace="urn:esr-vha-gov:internal:hl7-messages" xmlns="urn:esr-vha-gov:internal:hl7-messages" 
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    elementFormDefault="qualified">
<!--	
  <xs:include schemaLocation="edb/messaging/hl7/xsd/hl7Types/SimpleTypes.xsd" />
-->
  <xs:simpleType name="table0207">
    <xs:annotation>
      <xs:documentation>
        Processing Mode
      </xs:documentation>
    </xs:annotation>
    <xs:restriction base="id">
      <xs:enumeration value="" />

      <xs:enumeration value="A">
        <xs:annotation>
          <xs:documentation>
            Archive.
          </xs:documentation>
        </xs:annotation>
      </xs:enumeration>

      <xs:enumeration value="R">
        <xs:annotation>
          <xs:documentation>
            Restore from archive.
          </xs:documentation>
        </xs:annotation>
      </xs:enumeration>

      <xs:enumeration value="I">
        <xs:annotation>
          <xs:documentation>
            Initial load.
          </xs:documentation>
        </xs:annotation>
      </xs:enumeration>

      <xs:enumeration value="T">
        <xs:annotation>
          <xs:documentation>
            Current processing, transmitted at intervals (scheduled or on
            demand).
          </xs:documentation>
        </xs:annotation>
      </xs:enumeration>

      <xs:enumeration value="not present">
        <xs:annotation>
          <xs:documentation>
            Not present (the default, meaning current  processing).
          </xs:documentation>
        </xs:annotation>
      </xs:enumeration>
    </xs:restriction>
  </xs:simpleType>
</xs:schema>
